Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Modulate Class Reference

STK periodic/random modulator. More...

`#include <Modulate.h>`

Inheritance diagram for Modulate:

List of all members.

## Public Member Functions

| Modulate ()
| Class constructor.
| ~Modulate ()
| Class destructor.
void | reset ()
| Reset internal state.
void | setVibratoRate (MY_FLOAT aRate)
| Set the periodic (vibrato) rate or frequency in Hz.
void | setVibratoGain (MY_FLOAT aGain)
| Set the periodic (vibrato) gain.
void | setRandomGain (MY_FLOAT aGain)
| Set the random modulation gain.
MY_FLOAT | tick ()
| Compute one output sample.
virtual MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Return vectorSize outputs in vector.
MY_FLOAT | lastOut () const
| Return the last computed output value.

## Detailed Description

STK periodic/random modulator.

This class combines random and periodic modulations to give a nice, natural human modulation function.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 21 of file Modulate.h.

The documentation for this class was generated from the following file:

- Modulate.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.